The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update Interface/Sub Interface Details

Prev Next

This URL updates interface or sub interface details.

Resource URL

PUT /sensor/<sensor_id>/interface/<interface_id or subinterface_id>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor Id

Number

Yes

interface_id or subinterface_id

Unique id of interface/sub interface

Number

Yes

Payload Parameters:

Details of Interfaces :

Field Name

Description

Data Type

InterfaceInfo

List of interfaces

Array

Details of object in InterfaceInfo:

Field Name

Description

Data Type

vidsId

Unique Id to identify interface/sub interface

Number

name

Name of the interface

String

Description

Interface description

String

InterfaceType

Traffic type

Object

IPSPolicyId

IPS policy applied on interface

Number

DomainId

ID of the Domain to which the interface is added

Number

SubInterfaces

Sub interface details

Object

LastModTs

Last modified timestamp

String

Details of InterfaceType:

Field Name

Description

Data Type

Dedicated

Default traffic type. No segmentation of traffic

Object

Vlan

Segment of interface into multiple networks by VLAN tags

Object

Cidr

Enables segment of interface into multiple networks by CIDR addressing

Object

BridgeVlan

Segment of interface into multiple networks by bridge VLAN tags

Object

Details of CIDR:

Field Name

Description

Data Type

CidrId

List of CIDR IDs

Array

Details of Vlan:

Field Name

Description

Data Type

id

List of VLAN IDs

Array

Details of Bridge Vlan:

Field Name

Description

Data Type

bridgeVlanRangeList

List of bridge VLAN range

Array

Details of SubInterfaces:

Field Name

Description

Data Type

SubInterfaceInfo

List of sub interfaces

Array

Details of object in SubInterfaceInfo:

Field Name

Description

Data Type

name

Name of the interface

String

vidsId

Unique Id to identify subinterface

Number

InterfaceType

Traffic type. VLAN, CIDR, or BridgeVlan

String

IPSPolicyId

IPS policy applied on interface

Number

LastModTs

Last modified timestamp

String

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

Status

Status returned by deletion

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1001/interface/105

Payload

{
"InterfaceInfo": {
"Description": "try1",
"SubInterfaces": null,
"IPSPolicyId": 17,
"DomainId": 0,
"Interfacetype": {
"Dedicated": null,
"Vlan":
{
"id":
[
"17",
"18",
"19",
]
},
"Cidr": null
},
"vidsId": 0,
"LastModTs": "2012-07-24 00:19:00",
"name": "abc"
}
}

Response

{
"status":1
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

404

1107

Invalid interface or sub-interface id

3

400

1154

Cannot update an interface in child admin domain

4

400

1157

Invalid interface name

5

400

1155

Name exceeding maximum length: 45

6

400

1156

Description exceeding maximum length: 45

7

400

1158

Non numeric VLAN id(s) provided

8

400

1159

Duplicate VLAN id(s) provided

9

400

1161

Out of range VLAN id(s) provided:[vlan id list], VLAN id should be between 1 and 4094

10

400

1701

Invalid CIDR notation

11

400

1137

Duplicate CIDR entry

12

400

1111

Cannot create dedicated type sub interface

13

400

1160

Sub interface type cannot be changed

14

400

1131

Empty VLAN id list provided

15

400

1162

VLAN id(s) not available for allocation:

16

400

1177

VLAN range should be in from-to form

17

400

1176

Non numeric value provided

18

400

1175

From should be less than To in the range

19

400

1178

Duplicate bridge VLAN range found